org.jfree.xml.generator.model

## Class DescriptionModel

- java.lang.Object
- - org.jfree.xml.generator.model.DescriptionModel

-     public class DescriptionModel
      extends java.lang.Object

  A model containing class descriptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptionModel()` Creates a new class description model.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassDescription(ClassDescription cd)` Adds a class description to the model.
    `void` | `addIncludeComment(java.lang.String source, Comments comments)` Adds an include comment.
    `void` | `addSource(java.lang.String source)` Adds a source to the model description.
    `ClassDescription` | `get(java.lang.Class key)` Returns a class description for the given class name.
    `ClassDescription` | `get(int index)` Returns a class description.
    `Comments` | `getIncludeComment(java.lang.String source)` Returns the include comment for the specified source.
    `MappingModel` | `getMappingModel()` Returns the mapping model.
    `Comments` | `getModelComments()` Returns the model comments.
    `java.lang.String[]` | `getSources()` Returns the sources for the model description.
    `void` | `prune()` Removes any class descriptions that are not fully defined.
    `void` | `removeClassDescription(ClassDescription cd)` Removes a class description from the model.
    `void` | `setModelComments(Comments modelComments)` Sets the model comments.
    `int` | `size()` Returns the number of classes in the model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescriptionModel

          public DescriptionModel()

      Creates a new class description model.

  - ### Method Detail

    - #### addClassDescription

          public void addClassDescription(ClassDescription cd)

      Adds a class description to the model.
      Parameters:
        `cd` - the class description.

    - #### removeClassDescription

          public void removeClassDescription(ClassDescription cd)

      Removes a class description from the model.
      Parameters:
        `cd` - the class description.

    - #### get

          public ClassDescription get(int index)

      Returns a class description.
      Parameters:
        `index` - the description index (zero-based).
      Returns:
        a class description.

    - #### get

          public ClassDescription get(java.lang.Class key)

      Returns a class description for the given class name.
      Parameters:
        `key` - the class name.
      Returns:
        the class description.

    - #### size

          public int size()

      Returns the number of classes in the model.
      Returns:
        the number of classes in the model.

    - #### getMappingModel

          public MappingModel getMappingModel()

      Returns the mapping model.
      Returns:
        the mapping model.

    - #### addSource

          public void addSource(java.lang.String source)

      Adds a source to the model description.
      Parameters:
        `source` - the source.

    - #### getSources

          public java.lang.String[] getSources()

      Returns the sources for the model description.
      Returns:
        The sources.

    - #### prune

          public void prune()

      Removes any class descriptions that are not fully defined.

    - #### addIncludeComment

          public void addIncludeComment(java.lang.String source,
                               Comments comments)

      Adds an include comment.
      Parameters:
        `source` - the source.
        `comments` - the comments.

    - #### getIncludeComment

          public Comments getIncludeComment(java.lang.String source)

      Returns the include comment for the specified source.
      Parameters:
        `source` - the source.
      Returns:
        The include comment.

    - #### getModelComments

          public Comments getModelComments()

      Returns the model comments.
      Returns:
        The model comments.

    - #### setModelComments

          public void setModelComments(Comments modelComments)

      Sets the model comments.
      Parameters:
        `modelComments` - the model comments.